<?php
/**
 * Clase Base Bean para BasePlaEmpresaColaboradorPerBN
 *
 * @package    Sedapal
 * @subpackage BasePlaEmpresaColaboradorPerBN
 * @author     Willy
 * @version    SVN:: BasePlaEmpresaColaboradorPerBN.class.php,v 1.1 2022-07-23 14:30:15 william.taype Exp $
 */
abstract class BasePlaEmpresaColaboradorPerBN
{
  protected $Periodo;
  protected $IdEmpresa;
  protected $IdColaborador;
  protected $FechaCreacion;
  protected $UsuarioCreacion;
  protected $Mensaje;
  protected $Error;

  public function getPeriodo(){
    return $this->Periodo;
  }
  public function setPeriodo($v1){
    $this->Periodo = $v1; 
  }

  public function getIdEmpresa(){
    return $this->IdEmpresa;
  }
  public function setIdEmpresa($v1){
    $this->IdEmpresa = $v1; 
  }

  public function getIdColaborador(){
    return $this->IdColaborador;
  }
  public function setIdColaborador($v1){
    $this->IdColaborador = $v1; 
  }

  public function getFechaCreacion(){
    return $this->FechaCreacion;
  }
  public function setFechaCreacion($v1){
    $this->FechaCreacion = $v1; 
  }

  public function getUsuarioCreacion(){
    return $this->UsuarioCreacion;
  }
  public function setUsuarioCreacion($v1){
    $this->UsuarioCreacion = $v1; 
  }

  public function getMensaje(){
    return $this->Mensaje;
  }
  public function setMensaje($vl){
    $this->Mensaje = $vl;
  }

  public function getError(){
    return $this->Error;
  }
  public function setError($vl){
    $this->Error = $vl;
  }

  /* Recupera un objeto Pla_empresa_colaborador_perBN desde un RecordSet */
  public static function retrieveByRs( $o_Pla_empresa_colaborador_perRs )
  {
    $o_PlaEmpresaColaboradorPerBN = new PlaEmpresaColaboradorPerBN();
    $o_PlaEmpresaColaboradorPerBN->setPeriodo( $o_Pla_empresa_colaborador_perRs['Periodo'] );
    $o_PlaEmpresaColaboradorPerBN->setIdEmpresa( $o_Pla_empresa_colaborador_perRs['IdEmpresa'] );
    $o_PlaEmpresaColaboradorPerBN->setIdColaborador( $o_Pla_empresa_colaborador_perRs['IdColaborador'] );
    $o_PlaEmpresaColaboradorPerBN->setFechaCreacion( $o_Pla_empresa_colaborador_perRs['FechaCreacion'] );
    $o_PlaEmpresaColaboradorPerBN->setUsuarioCreacion( $o_Pla_empresa_colaborador_perRs['UsuarioCreacion'] );
    return $o_PlaEmpresaColaboradorPerBN;
  }
}